Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class SeriesInfo

    java.lang.Object
      jet.report.xls.SeriesInfo

Direct Known Subclasses:
  Series2VInfo

    public class SeriesInfo

extends java.lang.Object

Specifies a series info.

Constructor Summary
`SeriesInfo()` Creates a blank series info and then sets its parameters.
`SeriesInfo(int num, java.lang.String name, java.lang.String text, java.lang.String valueRef, SeriesPattern[] seriesPatterns)` Constructs a `SeriesInfo` object with these parameters:
`SeriesInfo(java.lang.String text, double[] values, boolean[] isNull, SeriesPattern[] seriesPatterns)` Constructs a `SeriesInfo` object with these parameters.
`SeriesInfo(java.lang.String text, double[] values, SeriesPattern[] seriesPatterns)` Constructs a `SeriesInfo` object with these parameters:

Method Summary
`java.lang.String` | `getName()` Gets the reference of the series' name.
`int` | `getNum()` Gets the number of values in the series.
`SeriesPattern[]` | `getSeriesPatterns()` Gets the series' patterns.
`java.lang.String` | `getText()` Gets the text of the series' name, such as "sum".
`java.lang.String` | `getValueRef()` Gets the reference of the series' values, such as "sheet1!a1:d1".
`double[]` | `getValues()` Gets the series' values.
`void` | `setName(java.lang.String name)` Sets the reference of the series' name, such as "sheet1!a1".
`void` | `setNum(int num)` Sets the number of values in the series.
`void` | `setSeriesPatterns(SeriesPattern[] seriesPatterns)` Sets the series' patterns.
`void` | `setText(java.lang.String text)` Sets the text of the series' name, such as "sum".
`void` | `setValueRef(java.lang.String valueRef)` Sets the reference of the series' values, such as "sheet1!b1:d1".
`void` | `setValues(double[] values)` Sets the series' values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeriesInfo

    public SeriesInfo()

  Creates a blank series info and then sets its parameters.

### SeriesInfo

    public SeriesInfo(int num,
                      java.lang.String name,
                      java.lang.String text,
                      java.lang.String valueRef,
                      SeriesPattern[] seriesPatterns)

  Constructs a `SeriesInfo` object with these parameters:

  Parameters:
    `num` - number of the values in this series
    `name` - the reference of the series' name, such as "sheet1!a1".
    `text` - text of the series
    `valueRef` - reference of the series' values, such as "sheet1!b1:d1".
    `seriesPatterns` - the series' patterns array

### SeriesInfo

    public SeriesInfo(java.lang.String text,
                      double[] values,
                      SeriesPattern[] seriesPatterns)

  Constructs a `SeriesInfo` object with these parameters:

  Parameters:
    `text` - text of the series
    `values` - the values used in the series
    `seriesPatterns` - the series' patterns array

### SeriesInfo

    public SeriesInfo(java.lang.String text,
                      double[] values,
                      boolean[] isNull,
                      SeriesPattern[] seriesPatterns)

  Constructs a `SeriesInfo` object with these parameters.

  Parameters:
    `text` - text of the series
    `values` - array of values of the series
    `seriesPatterns` - the series' patterns array

Method Detail

### setNum

    public void setNum(int num)

  Sets the number of values in the series.

  Parameters:
    `num` - the number of values in the series

### getNum

    public int getNum()

  Gets the number of values in the series.

  Returns:
    the number of values in the series

### setName

    public void setName(java.lang.String name)

  Sets the reference of the series' name, such as "sheet1!a1".

  Parameters:
    `name` - reference of the series' name

### getName

    public java.lang.String getName()

  Gets the reference of the series' name.

  Returns:
    the reference of the series' name

### setText

    public void setText(java.lang.String text)

  Sets the text of the series' name, such as "sum".

  Parameters:
    `text` - the text of the series name

### getText

    public java.lang.String getText()

  Gets the text of the series' name, such as "sum".

  Returns:
    the text of the series name

### setValueRef

    public void setValueRef(java.lang.String valueRef)

  Sets the reference of the series' values, such as "sheet1!b1:d1".

  Parameters:
    `valueRef` - reference of the series' values

### getValueRef

    public java.lang.String getValueRef()

  Gets the reference of the series' values, such as "sheet1!a1:d1".

  Returns:
    reference of the series' values

### setValues

    public void setValues(double[] values)

  Sets the series' values.

  Parameters:
    `values` - the series' values

### getValues

    public double[] getValues()

  Gets the series' values.

  Returns:
    the series' values

### setSeriesPatterns

    public void setSeriesPatterns(SeriesPattern[] seriesPatterns)

  Sets the series' patterns.

  Parameters:
    `seriesPatterns` - the series' patterns array

### getSeriesPatterns

    public SeriesPattern[] getSeriesPatterns()

  Gets the series' patterns.

  Returns:
    the series' patterns array

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD